# Generated from hyrax-3.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name hyrax

Name: rubygem-%{gem_name}
Version: 3.1.0
Release: 1%{?dist}
Summary: Hyrax is a front-end based on the robust Samvera framework, providing a user interface for common repository features. Hyrax offers the ability to create repository object types on demand, to deposit content via multiple workflows, and to describe content with flexible metadata. Numerous optional features may be turned on in the administrative dashboard or added through plugins
License: Apache-2.0
URL: http://github.com/samvera/hyrax
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.5
# BuildRequires: rubygem(capybara) >= 3.29
# BuildRequires: rubygem(capybara) < 4
# BuildRequires: rubygem(capybara-screenshot) >= 1.0
# BuildRequires: rubygem(capybara-screenshot) < 2
# BuildRequires: rubygem(database_cleaner) >= 1.3
# BuildRequires: rubygem(database_cleaner) < 2
# BuildRequires: rubygem(engine_cart) >= 2.2
# BuildRequires: rubygem(engine_cart) < 3
# BuildRequires: rubygem(equivalent-xml) >= 0.5
# BuildRequires: rubygem(equivalent-xml) < 1
# BuildRequires: rubygem(factory_bot) >= 4.4
# BuildRequires: rubygem(factory_bot) < 5
# BuildRequires: rubygem(fcrepo_wrapper) >= 0.5
# BuildRequires: rubygem(fcrepo_wrapper) < 1
# BuildRequires: rubygem(fcrepo_wrapper) >= 0.5.1
# BuildRequires: rubygem(jasmine) >= 2.3
# BuildRequires: rubygem(jasmine) < 3
# BuildRequires: rubygem(jasmine) < 2.99
# BuildRequires: rubygem(jasmine-core) >= 2.3
# BuildRequires: rubygem(jasmine-core) < 3
# BuildRequires: rubygem(jasmine-core) < 2.99
# BuildRequires: rubygem(mida) >= 0.3
# BuildRequires: rubygem(mida) < 1
# BuildRequires: rubygem(okcomputer)
# BuildRequires: rubygem(rspec-activemodel-mocks) >= 1.0
# BuildRequires: rubygem(rspec-activemodel-mocks) < 2
# BuildRequires: rubygem(rspec-its) >= 1.1
# BuildRequires: rubygem(rspec-its) < 2
# BuildRequires: rubygem(rspec-rails) >= 3.1
# BuildRequires: rubygem(rspec-rails) < 4
# BuildRequires: rubygem(rspec_junit_formatter)
# BuildRequires: rubygem(selenium-webdriver)
# BuildRequires: rubygem(i18n-debug)
# BuildRequires: rubygem(i18n_yaml_sorter)
# BuildRequires: rubygem(rails-controller-testing) >= 1
# BuildRequires: rubygem(rails-controller-testing) < 2
# BuildRequires: rubygem(bixby) >= 3.0
# BuildRequires: rubygem(bixby) < 4
# BuildRequires: rubygem(bixby) >= 3.0.2
# BuildRequires: rubygem(shoulda-callback-matchers) >= 1.1.1
# BuildRequires: rubygem(shoulda-callback-matchers) < 1.2
# BuildRequires: rubygem(shoulda-matchers) >= 3.1
# BuildRequires: rubygem(shoulda-matchers) < 4
# BuildRequires: rubygem(webdrivers) >= 4.4
# BuildRequires: rubygem(webdrivers) < 5
# BuildRequires: rubygem(webmock)
BuildArch: noarch

%description
Hyrax is a featureful Samvera front-end based on the latest and greatest
Samvera software components.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/db-migrate-seed.sh
%{_bindir}/db-wait.sh
%{_bindir}/hyrax-entrypoint.sh
%{_bindir}/solrcloud-assign-configset.sh
%{_bindir}/solrcloud-upload-configset.sh
%{gem_instdir}/.circleci
%{gem_instdir}/.codeclimate.yml
%{gem_instdir}/.dassie
%{gem_instdir}/.engine_cart.yml
%{gem_instdir}/.env
%{gem_instdir}/.eslintignore
%exclude %{gem_instdir}/.eslintrc
%{gem_instdir}/.fcrepo_wrapper
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.hound.yml
%{gem_instdir}/.regen
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.rubocop_fixme.yml
%{gem_instdir}/.scss-lint.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%{gem_instdir}/CONTAINERS.md
%{gem_instdir}/Dockerfile
%license %{gem_instdir}/LICENSE
%{gem_instdir}/app
%{gem_instdir}/artifacts
%{gem_instdir}/bin
%{gem_instdir}/chart
%{gem_instdir}/config
%{gem_instdir}/db
%{gem_libdir}
%{gem_instdir}/tasks
%{gem_instdir}/template.rb
%{gem_instdir}/vendor
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.dockerignore
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/docker-compose.yml
%doc %{gem_instdir}/documentation
%{gem_instdir}/hyrax.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 3.1.0-1
- Initial package
